#!/bin/bash

###############################################################################
#                                                                             #
#  Copyright (c) 2010 Nemzeti Információs Infrastruktúra Fejlesztési Intézet  #
#                                                                             #
#  Licensed under the Apache License, Version 2.0 (the "License");            #
#  you may not use this file except in compliance with the License.           #
#  You may obtain a copy of the License at                                    #
#                                                                             #
#    http://www.apache.org/licenses/LICENSE-2.0                               #
#                                                                             #
#  Unless required by applicable law or agreed to in writing, software        #
#  distributed under the License is distributed on an "AS IS" BASIS,          #
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
#  See the License for the specific language governing permissions and        #
#  limitations under the License.                                             #
#                                                                             #
###############################################################################

#set -e

SRC=$1

if [ -z "${ONE_LOCATION}" ]; then
    TMCOMMON=/usr/lib/one/mads/tm_common.sh
    LIB=/usr/lib/one/tm_commands/hostiscsi+nfs/iscsi-functions
    RC=/etc/one/tm_hostiscsi+nfs/tm_hostiscsi+nfsrc
else
    TMCOMMON=$ONE_LOCATION/lib/mads/tm_common.sh
    LIB=$ONE_LOCATION/lib/tm_commands/hostiscsi+nfs/iscsi-functions
    RC=$ONE_LOCATION/etc/tm_hostiscsi+nfs/tm_hostiscsi+nfsrc
fi

. $TMCOMMON
. $LIB
. $RC

tm_teststore() {
    local remote

    if test "$ISCSI_HOST"; then
	if test "$ISCSI_HOST_USER"; then
	    remote="$ISCSI_HOST_USER@$ISCSI_HOST"
	else
	    remote="$ISCSI_HOST"
	fi
	remote="ssh $remote"
    fi

    $remote sudo teststore "$@"
}

log "DELETE $*"

SRC_HOST=`arg_host $SRC`
SRC_PATH=`arg_path $SRC`

fix_src_path

links=$(find $SRC_PATH -type l)
for l in $links; do
    if iscsi_parse_devname $(readlink $l) && get_diskid $l; then
	log "deleting $vm_id.$vm_diskid"
	tm_teststore delete $SYSTEM $vm_id.$vm_diskid
    fi
done

log "Deleting $SRC_PATH"
exec_and_log "rm -rf $SRC_PATH"
